Skip to main content
GET
Get a User

Authorizations

X-API-KEY
string
header
required

API key required for authentication

Path Parameters

userLocator
string
required

A user locator can be of the format:

  • email:<email>
  • userId:<userId>
  • phoneNumber:<phoneNumber>
  • twitter:<handle>
  • x:<handle>
Examples:

"email:user@example.com"

"userId:507f1f77bcf86cd799439011"

"userId:did:example:cm4lr5piw0h6t1bjho0onryql"

"phoneNumber:+12125551234"

"twitter:johndoe"

"x:@johndoe"

Response

200 - application/json

User found

dueDiligence
boolean
required

Whether due diligence data has been provided

Example:

false

kycData
boolean
required

Whether KYC data has been provided

Example:

false

userDetails
boolean
required

Whether user details have been provided

Example:

true

verificationHistory
boolean
required

Whether verification history has been provided

Example:

false

email
string

User's email address

Example:

"john.doe@example.com"

List of accepted legal documents

Example:
phoneNumber
string

User's phone number

Example:

"+1234567890"

userId
string

Unique user identifier

Example:

"usr_1234567890"